<?php
require_once('config.php');

$error_message;
$valid = true;

$itm_rcf_book_no;

$sql = "SELECT site_cd
	,itm_rcb_book_no
	,itm_rcb_desc
	,itm_rcb_select_criteria
	,itm_rcb_active_date
	,itm_rcb_item_count
	,itm_rcb_completed
	,itm_rcb_total_item
	,rowid
FROM itm_rcb
WHERE site_cd = '".$_REQUEST['site_cd']."' AND itm_rcb_active_flag = '1'";

$stmt = sqlsrv_query( $conn, $sql);

if( !$stmt ) {
     $error_message = "Error selecting table (itm_rcb)";
	 returnError($error_message);
     die( print_r( sqlsrv_errors(), true));
}

$json = array();

do {
     while ($row = sqlsrv_fetch_array($stmt, SQLSRV_FETCH_ASSOC)) {		
		$json[] = $row;
     }
} while ( sqlsrv_next_result($stmt) );



if ($valid) {
	sqlsrv_free_stmt( $stmt);
	sqlsrv_close( $conn);	
	
	returnData($json);	
}

function returnData($json){
	$returnData = array(
	'status' => 'SUCCESS',	
	'message' => 'Select successfully',
	'data' => $json);
	
	echo json_encode($returnData);
}

function returnError($error_message){
	$json = array();
	
	$returnData = array(
	'status' => 'ERROR',
	'message' => $error_message,
	'data' => $json);
	
	echo json_encode($returnData);
	
	sqlsrv_free_stmt( $stmt);
	sqlsrv_close( $conn);	
		
	exit();
}

?>